SSL certificate for policy.wikimedia.org
Closed, ResolvedPublic

Description

We need to provide our SSL certificate for policy.wikimedia.org. Could you help set that up? I can introduce you to the developers via email. Thanks!

Slaporte created this task.Aug 25 2015, 4:24 PM
Slaporte updated the task description. (Show Details)
Slaporte raised the priority of this task from to Needs Triage.
Slaporte added a project: acl*sre-team.
Slaporte added a subscriber: Slaporte.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 25 2015, 4:24 PM

Who is this addressed to? Why is the current SSL certificate inadequate? Are you about to point this domain at a third party site or something?

policy.wikimedia.org is behind misc-web-lb as such it doesn't have its own SSL cert but instead uses star.wikimedia.org. So this would need a certificate to be issued if needs to be off the cluster.

Hi @Krenair, the site will be hosted by WordPress (similar to the Wikimedia blog). What is the process to get an appropriate certificate issued?

JohnLewis added a subscriber: RobH.

@RobH would be the best person in regards to this.

Krenair added a subscriber: BBlack.Aug 25 2015, 4:32 PM

I think you'll need to request ops approve putting this on a third party site first. WMF would need to buy a new, separate, SSL certificate for policy.wikimedia.org.

Let me know what you need. Thanks!

Dzahn added a subscriber: Dzahn.EditedAug 25 2015, 4:42 PM

We have been asked to set this up on T97329 back in April. Since then we have been waiting for content to be uploaded and there were no updates. How come there is talk about moving it to a third party now?

RobH changed the task status from Open to Stalled.Aug 25 2015, 5:00 PM

@Slaporte:

I've created T110203 to address the questions regarding the migration. This task is stalled until the questions on that task have been addressed.

RobH changed the task status from Stalled to Open.Aug 26 2015, 8:43 PM
RobH triaged this task as High priority.

This order has been approved via email discussion between @Slaporte and myself, with a forwarded approval from Geoff.

As such, I've unstalled this and set to high priority.

Further techncial updates on T110203.

RobH closed this task as Resolved.Aug 27 2015, 4:09 PM

cert purchased and committed into our repo, private key in our private repo. T110203 deals with the migration and getting the key to wordpress.

BBlack moved this task from Triage to Done on the Traffic board.Sep 22 2015, 1:57 PM
RobH mentioned this in Unknown Object (Task).Jul 13 2016, 4:46 PM

This cert is going to expire next month. now. Created a subtask for that.

RobH changed the status of subtask Unknown Object (Task) from Open to Stalled.Aug 3 2016, 8:40 PM
RobH closed subtask Unknown Object (Task) as Resolved.Oct 12 2016, 5:53 PM